import socket

#Adresse IP d'écoute du serveur
TCP_IP = "127.0.0.1"
#Port d'écoute du serveur
TCP_PORT = 1234
#Taille du buffer de réception
BUFFER_SIZE = 65000

#Création de la socket (tuyau/prise de connexion)
s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
#Option du socket (optionnel) ici permet de lancer plusieurs fois le serveur à la suite sans temps d'attente
s.setsockopt(socket.SOL_SOCKET, socket.SO_REUSEADDR, 1)
#On indique au serveur où il doit écouter
s.bind((TCP_IP, TCP_PORT))
#On précise la longueur de la file d'attente de connexion. Ici un seul client à la fois
s.listen(1)

#On attend les demande de connexion sur le socket s
conn, addr = s.accept()
print ("Connection address: ", addr)

#On reçoit des chose si le client en envoie
data = conn.recv(BUFFER_SIZE)
#if not data:
#    break

#On affiche ce quie est reçu
print ("Received data: ", data.decode())

#On crée l'en-tête du message de réponse
entete="HTTP/1.0 200 OK\r\nContent-type: text/html\r\nContent-length: 40\r\n\r\n"

#On crée la fin du message de réponse
pied="\r\n"

#On crée le contenu du message de réponse
toto = "Hello world!"

#On assemble tout ça
data2=str(entete) + toto + str(pied)

#On l'envoie
conn.send(bytes(data2,'utf-8'))

#Pour être sûr on affiche ce qui a été envoyé
print ("Sent data:", data2)

#On ferme la communication
conn.close()
